> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/bmc/vpc/describevpcavailableregions.md).

# DescribeVpcAvailableRegions

## 1. API Description

This API (DescribeVpcAvailableRegions) is used to query information about availability regions for VPCs.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Availability regions in some cities may adopt different network architectures, which will be named with different names, such as</mark> <mark style="color:blue;">`LAX2`</mark> <mark style="color:blue;">and</mark> <mark style="color:blue;">`LAX2_2.0`</mark><mark style="color:blue;">. Please note that subnets in these availability regions with different network architectures cannot communicate with each other.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                           |
| -------------- | -------- | ------ | ------------------------------------- |
| zoneId         | No       | String | Zone ID to which the VPCs belong.     |
| vpcRegionId    | No       | String | IDs of availability regions for VPCs. |

## 3. Output Parameters

| Parameter Name | Type                                                                        | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                      | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| vpcRegionSet   | Array of [VpcRegionInfo](/api-reference/bmc/datastructure.md#vpcregioninfo) | Information on availability regions for VPCs.                                                                         |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
Query the zone ID in the availability region `SIN3`.

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeVpcAvailableRegions
<Common Request Params>

Request:
{
  "vpcRegionId": "SIN3"
}

Response:
{
  "requestId": "TAB1B2BEB-9FC9-4D19-82E5-175ECA8CE8A7",
  "response": {
    "requestId": "TAB1B2BEB-9FC9-4D19-82E5-175ECA8CE8A7",
    "vpcRegionSet": [
      {
        "vpcRegionName": "SIN-A_B",
        "zoneIds": [
          "SIN-A",
          "SIN-B"
        ],
        "vpcRegionId": "SIN3"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                | Description     |
| ---------------- | ------------------------- | --------------- |
| 404              | INVALID\_ZONE\_NOT\_FOUND | Zone not found. |
